function [yhat,Jacobian] = Eval_FM(k)


global wf0 wf zf vf0 vf Nuf xf y u

%Computing "yh" and the Jacobian:

% Defining inputs xf(j,k)
xf(1,k+1)=u(k);  xf(2,k+1)=y(k); xf(3,k+1)=y(k-1);

%Calculating zf(i,k)
for i=1:Nuf
    sum=wf0(i,k+1);
    for j=1:3
        sum=sum+wf(i,j,k+1)*xf(j,k+1);
    end
    zf(i,k+1)=logsig(sum);
end
%Calculating yhat
sum=vf0(k+1);
for i=1:Nuf
    sum=sum + zf(i,k+1)*vf(i,k+1); 
end
yhat=sum;

%Calcualting Jacobian
sum=0;
for i=1:Nuf
    sum=sum+zf(i,k+1)*(1-zf(i,k+1))*wf(i,1,k+1)*vf(i,k+1);
end

Jacobian=sum;