function str = time_taken(t0)

tgap = etime(fix(clock),t0);

% To get number of days and the remaining time in secs
if tgap >= 24*60*60 
    days = floor( tgap/(24*60*60) );
    tgap = tgap - days*24*60*60;
else days=0;
end

% To get number of hours and the remaining time in secs
if tgap >= 60*60    
    hours = floor( tgap/(60*60) );
    tgap = tgap - hours*60*60;
else
    hours=0;
end

% To get number of mins and the remaining time in secs
if tgap >= 60                
    mins = floor( tgap/60 ) ;
    tgap = tgap - mins*60;
else
    mins=0;
end

d=int2str(days);
h=int2str(hours);
m=int2str(mins);
s=int2str(tgap);

str=strcat('Time Taken for Execution -->',d,' days..',h,...
           ' hours..',m,' mins..',s,' secs');
disp(str);

