% Function approximation
clc; clear all; close all;
% Training data
trainx=0:0.2:4;
trainy=exp(-trainx).*sin(3*trainx);
% Plot training data
figure(1)
plot(trainx,trainy);
% Testing data
testx=0:0.01:4;
testy=exp(-testx).*sin(3*testx);
% Plot testing data
figure(2)
plot(testx,testy);
% Create and train an exact RBF NN;
% exact RBF NN will have nnmber of hidden units equal to
% number of input patterns presented to it
SPREAD=0.2;
net = newrbe(trainx,trainy,SPREAD);
% Generalization : Testing RBF NN with unseen input
ycap3=sim(net,testx);
% Plot predicted output of testing data
figure(3)
plot(testx,ycap3,'-',testx,testy,'r');
% Weights and Biases of the trained network
w=net.IW{1,1}
bw=net.b{1}
v=net.LW{2,1}
bv=net.b{2}
